/*
 * TestApp.h
 *
 */

/**
 * NOTE: In order to pass a pointer to a structure in tracepoint(), the elements in  
 *       the structure can only have c-data type. The reason is that lttng is written
 *       in c only and the header files of the tracepoints have to be compiled in c.
 **/
struct subscriber {
     const char * name;     // can not use c-plusplus data types
     const char * imsi;
     float  balance;
     int secondRemaining;
};

typedef struct subscriber * p_subscriber;

